[NTG-context] Texlive 2009 and stable context

Taco Hoekwater taco at elvenkind.com
Tue Aug 3 19:33:39 CEST 2010


On 08/03/2010 06:48 PM, Eythan Weg wrote:
>
>
> Hi,
>
> Sometimes in June I was no longer able to compile context beta, running
> into a problem that persists with the new stable (7-30-2010).  Hans
> suggested in response to a similar problem by someone else, to install
> minimals.  But this seems to me wasteful because I use parts of latex.
>
> Running (with luatex version beta-0.62.0-2010080309 (rev 3794))
>
> mtxrun --generate
>
> gives this:
>
>     MTXrun | resolvers: variable 'SELFAUTOLOC' set to '/usr/bin'
>     MTXrun | resolvers: variable 'SELFAUTODIR' set to '/usr'
>     MTXrun | resolvers: variable 'SELFAUTOPARENT' set to '.'
>     MTXrun | resolvers: variable 'TEXMFCNF' set to ''
>     MTXrun | resolvers: variable 'TEXMF' set to ''
>     MTXrun | resolvers: variable 'TEXOS' set to '/usr'
>     MTXrun | resolvers
>     MTXrun | resolvers: warning: no lua configuration files found
>     MTXrun | resolvers
>     MTXrun | resolvers
>
> Should I be able to compile the current context under texlive 2009?  If
> so, how? If not, would it compile with the current version texlive 2010?

Almost. You need this file

   http://minimals.metatex.org/current/misc/web2c/texmfcnf.lua

and it should go into <texlive>/texmf/web2c/ or somewhere else
where it can be found (any location where texmf.cnf will be found)
and then it should work, I think. But I cannot test this, so
be warned that it may not work.

Best wishes,
Taco


More information about the ntg-context mailing list